Bug 218611 - [PATCH] net-mgmt/percona-monitoring-plugins: follow FreeBSD hier(7)
Summary: [PATCH] net-mgmt/percona-monitoring-plugins: follow FreeBSD hier(7)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-12 21:25 UTC by Mark Felder
Modified: 2017-04-25 16:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (alexey)


Attachments
percona-monitoring-plugins (958 bytes, patch)
2017-04-12 21:25 UTC, Mark Felder
no flags Details | Diff
percona-monitoring-plugins (1.28 KB, patch)
2017-04-14 16:48 UTC, Mark Felder
no flags Details | Diff
percona-monitoring-plugins (1.32 KB, patch)
2017-04-17 18:47 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2017-04-12 21:25:00 UTC
Created attachment 181739 [details]
percona-monitoring-plugins

Percona monitoring plugins include scripts to monitor many things. One of the functions is to monitor MySQL servers. The options for supplying credentials are as follows:

1) edit the scripts to hardcode the credentials in (bad)
2) Pass as parameters in Nagios / tediously save for each graph in Cacti
3) Use a config file!

Option 3 is great, but the scripts are looking in /etc/nagios and /etc/cacti for the files that supply the MySQL credentials. The following patch to the port ensures the scripts will look in %%LOCALBASE%%/etc/nagios and cacti so we aren't putting files in base unnecessarily.


Thanks!
Comment 1 Mark Felder freebsd_committer 2017-04-14 16:48:45 UTC
Created attachment 181787 [details]
percona-monitoring-plugins

Actually we need to add wget as a dependency because they hardcode wget for fetching Apache statistics remotely instead of via ssh. See new patch.
Comment 2 Mark Felder freebsd_committer 2017-04-17 18:47:09 UTC
Created attachment 181855 [details]
percona-monitoring-plugins

another script needs the fix for path to cacti config dir
Comment 3 commit-hook freebsd_committer 2017-04-25 16:08:06 UTC
A commit references this bug:

Author: feld
Date: Tue Apr 25 16:07:32 UTC 2017
New revision: 439404
URL: https://svnweb.freebsd.org/changeset/ports/439404

Log:
  net-mgmt/percona-monitoring-plugins: Improve FreeBSD compatibility

  - Properly declare wget as a dependency
  - Give full path to wget binary
  - Scripts that can take config files should source from LOCALBASE/etc,
  not /etc

  PR:		218611
  Approved by:	maintainer timeout

Changes:
  head/net-mgmt/percona-monitoring-plugins/Makefile